月光博客 » 编程开发 » Java开发环境的配置心得

Java开发环境的配置心得

  前文介绍了几种主流脚本语言开发技术的对比,本文则介绍Java开发环境的搭建和配置的一些小小心得体会。

  做为一名从微软开发者转向JAVA开发者的一员,这里介绍的都是一些初级的开发环境配置,也属于个人的经验介绍。其实也有人可能想转向.NET平台,但根据我的使用,感觉.NET里的C#和JAVA语法极为相似,开发的成本也基本相同,但由于业界普遍认为JAVA平台是成熟的、开放的,并且支持跨平台,而.NET还没有成熟,不开放源代码,也不支持跨平台,因此转到JAVA平台个人认为是不错的选择。

  首先讲一下环境配置,注意我配置的环境是在Windows2000 Server下的,不是Linux下的,配置的大致流程和操作系统无关,仅仅是在具体的安装上有差别。而配置成功与否,与操作系统无关。

  软件安装分为以下几个部分:

  1、 Java环境安装:

  这里使用的是J2SE 1.4.2,这个可以到sun公司的网站去下载:http://java.sun.com/j2se/1.4.2/download.html

  为什么不用其他的版本呢?我也不清楚,不过公司里配置的标准版本就是这个版本,大概是因为兼容性的原因吧。

  下载完成后,即可安装J2SE-SDK到E:\jsk目录下。

  配置环境变量如下:

  JAVA_HOME = E:\jdk

  PATH = %JAVA_HOME%\bin;%JAVA_HOME%\lib;%JAVA_HOME%\jre\lib;

  CLASSPATH = %JAVA_HOME%\lib;%JAVA_HOME%\jre\lib;

  2、 Web Server环境安装:

  Web Server选择流行的Apache Tomcat 5.0.28,到 http://tomcat.apache.org/ 处下载,建议使用非安装的压缩版,有一点需要注意,Apache Tomcat不支持EJB,因此如果要进行EJB开发,那么就不要选择Apache Tomcat。

  解压tomcat到E:\Tomcat目录下。

  配置环境变量如下:

  TOMCAT_HOME = E:\Tomcat

  3、 IDE环境安装:

  Eclipse是目前最佳的IDE开发环境,我们公司目前统一配置的是Eclipse 3.11中文版,可以去 http://www.eclipse.org/downloads/ 下载。这个版本和后面提到的一些插件的兼容性较好。

  解压eclipse-SDK-3.1.1-win32.zip到E:\Eclipse即可使用英文原版。

  中文的安装需要先到官方网站点“3.1.1_Language_Packs”,下载NLpack1_FeatureOverlay-eclipse-SDK-3.1.1.zip 和NLpack1-eclipse-SDK-3.1.1a-win32.zip两个文件。

  然后将NLpack1-eclipse-SDK-3.1.1a-win32.zip解压后生成的eclipse文件夹下的features文件夹和plugins文件夹里的内容复制粘贴到E:\Eclipse文件夹下;以同样的方法解压 NLpack1_FeatureOverlay-eclipse-SDK-3.1.1.zip,将eclipse文件夹下的features文件夹里的内容也复制粘贴到E:\Eclipse文件夹下。粘贴时有同名文件的话,就让它覆盖掉原文件。

  到E:\Eclipse文件夹里,把configuration文件夹下除了config.ini 以外的的东西都删掉,最后运行eclipse.exe,就可以看到中文版的eclipse3.1.1了,汉化后一个很大的好处就是帮助全是中文的,这对我们这些新手有不少帮助。

  4、 TomcatPlugin插件安装:

  下载安装Sysdeo Tomcat插件,用来管理Tomcat服务器,提供断点调试功能,并且能自动建立Tomcat环境,修改其配置文件,是一个不错的Tomcat开发插件。

  英文原版下载地址:http://www.sysdeo.com/sysdeo/eclipse/tomcatplugin

  中文版下载地址:http://download.gro.clinux.org/beansoft/tomcatPluginV31.zip

  安装方法:

  (1).解压tomcatPluginV31.zip

  (2).将解压目录下文件夹com.sysdeo.eclipse.tomcat_3.1复制到eclipse安装目录中的plugins目录中,即E:\eclipse\plugins

  (3).启动Eclipse,启动后你将看到你的菜单上多了一个下拉项Tomcat,点击 窗口->首选项,在左边树中点击tomcat,设置tomcat version为version 5.x,设置tomcat根目录为E:\tomcat,在左边树中点击tomcat->JVM setting,设置JRE为j2sdk1.4.2。

  4、 Lomboz插件安装:

  Lomboz插件是用来编辑JSP/HTML/XML等,是一个不错的JSP编辑器,还可以支持EJB。我用的版本是Lomboz V3.1。

  下载地址: http://www.objectlearn.com ,建议下载那个Lomboz and prerequisites as one package版本。

  Lomboz的安装方法:

  (1).解压lomboz-emf-gef-jem-3.1RC2.zip

  (2).将解压目录下文件夹复制到eclipse安装目录中。

  至此,一个JAVA开发环境即搭建完毕。

  这时候就可以开始工作了。启动Eclipse,点新建-项目-JAVA-Tomcat Project,即可新建一个Tomcat下的JSP开发环境。TomcatPlugin插件会自动建立若干目录。

  此时建立的目录有:

  WEB-INF/src JavaBean的源文件是放在WEB-INF目录下,系统会自动将其编译到WEB-INF/classes目录下。

  WEB-INF/classes 编译后的类文件会被放在这个目录下。

  work 执行JSP时,编译成的servlet源文件会放在此处。

  好了,现在一切都就绪了,我们就可以进行JSP开发了。

顶一下 ▲()   踩一下 ▼()

相关文章

  1. 1
    aling   说道:
    可能那时用的版本老点,还没有这个提示
    支持(10反对(6回复
  1. 2
    tony   说道:
    在左边树中点击tomcat->JVM setting,设置JRE为j2sdk1.4.2。

    这里好像设置不了啊
    支持(7反对(6回复
  1. 3
    fjcqlcx   说道:
    怎么开发举个例子吧
    支持(8反对(8回复
  1. 4
    大锅   说道:
    tomcat 本身不是 EJB Container, 但是可以和其他 EJB container 一起工作,例如 JBOSS. 所以即使你要用 ejb, 也可以选择 tomcat.
    支持(9反对(11回复
  1. 5
    aling   说道:
    一次用eclipse,我只让它删除一个工程,结果把工程所在的目录的文件全删了,那个气啊。从此只用JBuilder或netbeans,要是borland不行了,那也只能用Netbeans了。。。
    支持(6反对(9回复
  1. 6
    人海茫茫   说道:
    Thanks very much !!!
    支持(7反对(10回复
  1. 7
    williamlong   说道:
    eclipse删除的时候会提示你,删除工程的同时是否删除目录下的文件,选择不删除文件就可以只删除工程了,不过我感觉eclipse比jbuilder好用,而且还是免费的。
    支持(5反对(9回复
  1. 8
    wufengscl   说道:
    推荐一个JSP网站环境配置:
    win2003
    j2sdk-1_4_2_11-nb-5_0-win.exe
    jakarta-tomcat-5.0.28.exe
    不需要太多的配置.
    支持(6反对(11回复

发表留言